<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Hello!</title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    
    <!-- import the webpage's stylesheet -->
    <link rel="stylesheet" href="/style.css">
    
    <!-- import the webpage's javascript file -->
    <script src="/script.js" defer></script>
  </head>  
  <body>
    <h1>Hi there!</h1>
    
    <p>
      I'm your cool new webpage. Made with <a href="https://glitch.com">Glitch</a>!
    </p>
    <!-- include the Glitch button to show what the webpage is about and
          to make it easier for folks to view source and remix -->
    <div class="glitchButton" style="position:fixed;top:20px;right:20px;"></div>
    <script src="https://button.glitch.me/button.js"></script>
    <div id="container">

    </div>
    <script>
        let count=0;
        let startTime=new Date().getTime();
        function onClick(){
          let container=document.getElementById("container");
          count++;
          let currentTime=new Date().getTime();
          let seconds=(currentTime-startTime)/1000;
          let speed=count/seconds;
          console.log(speed);
          if(speed<2){
            container.innerHTML="<b>Clicked "+count+"!</b>";
          }else{
            container.innerHTML="<b style='color: red'>Clicked "+count+"!</b>";
          }
        }
        
      </script>
    <button onclick="onClick();">Click Me!</button>
  </body>
</html>
